%define _name gswitchit
%define ver_major 1.0

Name: gnome-applets-%_name-plugins
Version: %ver_major
Release: alt4

Summary: Plugins for GSwitchIt
Group: Graphical desktop/GNOME
License: GPL
Url: http://sourceforge.net/projects/%_name

Source: ftp://ftp.gnome.org/pub/sources/gnome/%_name-plugins/%ver_major/%_name-plugins-%version.tar.bz2
Patch: %_name-plugins-1.0-alt-configure.patch
Patch1: %_name-plugins-1.0-alt-link.patch

Obsoletes: gnome-applets-extra-%_name-plugins
Provides: gnome-applets-extra-%_name-plugins = %version-%release

%define GConf_ver 2.12.0
%define gswitchit_ver 2.18.0

PreReq: GConf2 >= %GConf_ver
Requires: gnome-applets-gswitchit >= %gswitchit_ver

BuildPreReq: rpm-build-gnome
# From configure.in
BuildPreReq: libGConf-devel glib2-devel libgnomeui-devel
BuildPreReq: libgnomekbd-devel >= 2.18.0
BuildPreReq: libsoup-devel >= 2.4.0
BuildPreReq: librsvg-devel
BuildPreReq: gettext-tools
BuildPreReq: libgnutls-devel

BuildRequires: libxklavier-devel libSM-devel libdbus-glib-devel libjpeg-devel

%description
GSwitchIt is just a simple keyboard state indicator and switcher for
GNOME panel. GSwitchIt - controls and shows switching between the
different keyboard layouts separately for different windows.

This package provides additional plugins for GSwitchIt.

%define plugindir %_libdir/gnomekbd

%prep
%setup -q -n %_name-plugins-%version
%patch
%patch1

# don't build broken sound plugin
subst 's@^\(SUBDIRS.*\)sound@\1@' Makefile.am

%build
%autoreconf
%configure \
    --disable-scrollkeeper \
    --disable-install-schemas \
    --disable-static

%make_build plugindir=%plugindir

%install
%make_install install DESTDIR=%buildroot plugindir=%plugindir

%find_lang --with-gnome %_name-plugins

%post
%gconf2_install %{_name}_plugins

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %{_name}_plugins
fi

%files -f %_name-plugins.lang
%dir %plugindir
%plugindir/*.so
%exclude %plugindir/test.so
%_datadir/%_name-plugins
%config %_sysconfdir/gconf/schemas/*
#%_datadir/sounds/*
#%config %_sysconfdir/sound/events/*
%doc README ChangeLog AUTHORS

%changelog
* Sat Sep 12 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0-alt4
- don't build broken sound plugin (ALT #19132)

* Sun Aug 09 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0-alt3
- properly linked sound plugin (closes #19132)

* Mon Jun 22 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0-alt2
- fixed build against gnutls-2.8

* Sat May 30 2009 Yuri N. Sedunov <aris@altlinux.org> 1.0-alt1
- 1.0
- updated buildreqs

* Tue Sep 30 2008 Yuri N. Sedunov <aris@altlinux.org> 0.9-alt1
- 0.9

* Mon Mar 24 2008 Alexey Rusakov <ktirf@altlinux.org> 0.8-alt1
- New version (0.8).
- Unbind a download link from a specific Sourceforge mirror.
- Updated buildreqs.

* Mon Apr 23 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7-alt1
- new version (0.7)
- updated dependencies
- updated Url
- moved plugins to the subdirectory of GNOME applets directory.

* Thu Dec 21 2006 Alexey Rusakov <ktirf@altlinux.org> 0.6-alt1
- new version (0.6)

* Sun Jun 04 2006 Alexey Rusakov <ktirf@altlinux.ru> 0.5-alt1
- new version (0.5)

* Thu Nov 24 2005 Vital Khilko <vk@altlinux.ru> 0.4-alt1
- new version
- translated summary and description removed

* Sun Sep 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1.1
- rebuild to fix dependencies.

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.3-alt1
- 0.3

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.1-alt1
- First build for Sisiphus.
